Ошибка при запуске telegram-бота на python. Как решить?

Код:
# art

import telebot

bot = telebot.TeleBot("здесь токен")

bot.send_message(394970516, "text")


Ошибка:
C:\Users\1\AppData\Local\Programs\Python\Python35\python.exe C:/Users/1/PycharmProjects/untitled2/art.py
Traceback (most recent call last):
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
chunked=chunked)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 849, in _validate_conn
conn.connect()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connection.py", line 356, in connect
ssl_context=context)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\util\ssl_.py", line 359, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 376, in wrap_socket
_context=self)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 747, in __init__
self.do_handshake()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 983, in do_handshake
self._sslobj.do_handshake()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 628, in do_handshake
self._sslobj.do_handshake()
ConnectionResetError: [WinError 10054] Удаленный хост принудительно разорвал существующее подключение

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\requests\adapters.py", line 445, in send
timeout=timeout
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\util\retry.py", line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\packages\six.py", line 685, in reraise
raise value.with_traceback(tb)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
chunked=chunked)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connectionpool.py", line 849, in _validate_conn
conn.connect()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\connection.py", line 356, in connect
ssl_context=context)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\urllib3\util\ssl_.py", line 359, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 376, in wrap_socket
_context=self)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 747, in __init__
self.do_handshake()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 983, in do_handshake
self._sslobj.do_handshake()
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\ssl.py", line 628, in do_handshake
self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'Удаленный хост принудительно разорвал существующее подключение', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:/Users/1/PycharmProjects/untitled2/art.py", line 7, in
bot.send_message(394970516, "text")
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\telebot\__init__.py", line 480, in send_message
reply_markup, parse_mode, disable_notification))
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\telebot\apihelper.py", line 140, in send_message
return _make_request(token, method_url, params=payload, method='post')
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\telebot\apihelper.py", line 54, in _make_request
timeout=(connect_timeout, read_timeout), proxies=proxy)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\requests\sessions.py", line 512, in request
resp = self.send(prep, **send_kwargs)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\requests\sessions.py", line 622, in send
r = adapter.send(request, **kwargs)
File "C:\Users\1\AppData\Local\Programs\Python\Python35\lib\site-packages\requests\adapters.py", line 495, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'Удаленный хост принудительно разорвал существующее подключение', None, 10054, None))

Process finished with exit code 1
  • Вопрос задан
  • 11745 просмотров
Решения вопроса 1
igorzakhar
@igorzakhar
Как тут уже писал Pavel Denisov, проблема в блокировке telegram на территории РФ. Можешь попробовать использовать VPS в зарубежном ЦОД. Я, для того чтобы поиграться с telegram bot API, использовал платформу openshift (https://www.openshift.com/), там есть вариант бесплатного использования. Как "спрятать" токен в переменную окружения при использовании openshit можно прочитать здесь: Как скрыть токен телеграм бота при открытом репозитории на github и хостинге на openshift?
Ответ написан
Пригласить эксперта
Ответы на вопрос 4
@AlexSn2020
Всем привет) Столкнулся с той же проблемой, только телега уже разблокирована в России)
Ответ написан
@Saer22
Коннектитесь через прокси.
Например:

import telebot
from telebot import apihelper
access_token = '***'
apihelper.proxy = {'https': 'https://85.132.71.82:3128'}
Ответ написан
Комментировать
Обновите Питон до 3.6
Ответ написан
Комментировать
xozzslip
@xozzslip
телегу блокируют. ставьте vpn
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы